import BlueprintGenerator from '../../index.ts';
export default class BootstrapGenerator extends BlueprintGenerator {
    [BlueprintGenerator.LOADING]: Record<"loading", import("../../../base-core/types.js").GenericTask<any, import("../../../base/tasks.js").TaskParamWithControl & {
        application: import("../../types.js").Application;
    } & import("../../../base-simple-application/tasks.js").ApplicationDefaultsTaskParam<import("../../types.js").Application>>>;
    [BlueprintGenerator.PREPARING]: Record<"preparing" | "prepareCommands", import("../../../base-core/types.js").GenericTask<any, import("../../../base/tasks.js").TaskParamWithControl & {
        source: import("../../../base/types.js").Source;
    } & {
        application: import("../../types.js").Application;
    } & import("../../../base-simple-application/tasks.js").ApplicationDefaultsTaskParam<import("../../types.js").Application>>>;
    beforeQueue(): Promise<void>;
    get loading(): Record<"loading", import("../../../base-core/types.js").GenericTask<any, import("../../../base/tasks.js").TaskParamWithControl & {
        application: import("../../types.js").Application;
    } & import("../../../base-simple-application/tasks.js").ApplicationDefaultsTaskParam<import("../../types.js").Application>>>;
    get preparing(): Record<"preparing" | "prepareCommands", import("../../../base-core/types.js").GenericTask<any, import("../../../base/tasks.js").TaskParamWithControl & {
        source: import("../../../base/types.js").Source;
    } & {
        application: import("../../types.js").Application;
    } & import("../../../base-simple-application/tasks.js").ApplicationDefaultsTaskParam<import("../../types.js").Application>>>;
}
